Loading...
Searching...
No Matches
mongocxx::v_noabi::search_index_view Class Reference

`#include <mongocxx/v_noabi/mongocxx/search_index_view.hpp>`

## Description

A MongoDB Atlas Search Index.

Note
  Not to be confused with a MongoDB index (mongocxx::v_noabi::index_view).

## Public Member Functions

| search_index_view (v1::search_indexes search_index_view)
| Construct with the mongocxx::v1 equivalent.
std::vector< std::string > | create_many (std::vector< v_noabi::search_index_model > const &models)
| Creates multiple search indexes in the collection.
std::vector< std::string > | create_many (v_noabi::client_session const &session, std::vector< v_noabi::search_index_model > const &models)
| Creates multiple search indexes in the collection.
std::string | create_one (bsoncxx::v_noabi::document::view_or_value definition)
| This is a convenience method for creating a single search index with a default name.
std::string | create_one (bsoncxx::v_noabi::string::view_or_value name, bsoncxx::v_noabi::document::view_or_value definition)
| This is a convenience method for creating a single search index.
std::string | create_one (v_noabi::client_session const &session, bsoncxx::v_noabi::document::view_or_value definition)
| This is a convenience method for creating a single search index with a default name.
std::string | create_one (v_noabi::client_session const &session, bsoncxx::v_noabi::string::view_or_value name, bsoncxx::v_noabi::document::view_or_value definition)
| This is a convenience method for creating a single search index.
std::string | create_one (v_noabi::client_session const &session, v_noabi::search_index_model const &model)
| This is a convenience method for creating a single search index.
std::string | create_one (v_noabi::search_index_model const &model)
| This is a convenience method for creating a single search index.
void | drop_one (bsoncxx::v_noabi::string::view_or_value name)
| Drops a single search index from the collection by the index name.
void | drop_one (v_noabi::client_session const &session, bsoncxx::v_noabi::string::view_or_value name)
| Drops a single search index from the collection by the index name.
v_noabi::cursor | list (bsoncxx::v_noabi::string::view_or_value name, v_noabi::options::aggregate const &options={})
| Returns a cursor over all the search indexes.
v_noabi::cursor | list (v_noabi::client_session const &session, bsoncxx::v_noabi::string::view_or_value name, v_noabi::options::aggregate const &options={})
| Returns a cursor over all the search indexes.
v_noabi::cursor | list (v_noabi::client_session const &session, v_noabi::options::aggregate const &options={})
| Returns a cursor over all the search indexes.
v_noabi::cursor | list (v_noabi::options::aggregate const &options={})
| Returns a cursor over all the search indexes.
| operator v1::search_indexes () &&
| Convert to the mongocxx::v1 equivalent.
| operator v1::search_indexes () const &
| Convert to the mongocxx::v1 equivalent.
void | update_one (bsoncxx::v_noabi::string::view_or_value name, bsoncxx::v_noabi::document::view_or_value definition)
| Updates a single search index from the collection by the search index name.
void | update_one (v_noabi::client_session const &session, bsoncxx::v_noabi::string::view_or_value name, bsoncxx::v_noabi::document::view_or_value definition)
| Updates a single search index from the collection by the search index name.

## Constructor & Destructor Documentation

## search_index_view()

mongocxx::v_noabi::search_index_view::search_index_view | ( | v1::search_indexes | search_index_view | ) |

inline

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## create_many() [1/2]

std::vector< std::string > mongocxx::v_noabi::search_index_view::create_many | ( | std::vector< v_noabi::search_index_model > const & | models | ) |

Creates multiple search indexes in the collection.

Parameters

  models | The search index models to create.

Returns
  The names of the created indexes.

## create_many() [2/2]

std::vector< std::string > mongocxx::v_noabi::search_index_view::create_many | ( | v_noabi::client_session const & | session,
|  | std::vector< v_noabi::search_index_model > const & | models )

Creates multiple search indexes in the collection.

Parameters

  session | The mongocxx::v_noabi::client_session with which to perform the operation.
  models | The search index models to create.

Returns
  The names of the created indexes.

## create_one() [1/6]

std::string mongocxx::v_noabi::search_index_view::create_one | ( | bsoncxx::v_noabi::document::view_or_value | definition | ) |

This is a convenience method for creating a single search index with a default name.

Parameters

  definition | The document describing the search index to be created.

Returns
  The name of the created search index.

## create_one() [2/6]

std::string mongocxx::v_noabi::search_index_view::create_one | ( | bsoncxx::v_noabi::string::view_or_value | name,
|  | bsoncxx::v_noabi::document::view_or_value | definition )

This is a convenience method for creating a single search index.

Parameters

  name | The name of the search index to create.
  definition | The document describing the search index to be created.

Returns
  The name of the created search index.

## create_one() [3/6]

std::string mongocxx::v_noabi::search_index_view::create_one | ( | v_noabi::client_session const & | session,
|  | bsoncxx::v_noabi::document::view_or_value | definition )

This is a convenience method for creating a single search index with a default name.

Parameters

  session | The mongocxx::v_noabi::client_session with which to perform the operation.
  definition | The document describing the search index to be created.

Returns
  The name of the created search index.

## create_one() [4/6]

std::string mongocxx::v_noabi::search_index_view::create_one | ( | v_noabi::client_session const & | session,
|  | bsoncxx::v_noabi::string::view_or_value | name,
|  | bsoncxx::v_noabi::document::view_or_value | definition )

This is a convenience method for creating a single search index.

Parameters

  session | The mongocxx::v_noabi::client_session with which to perform the operation.
  name | The name of the search index to create.
  definition | The document describing the search index to be created.

Returns
  The name of the created search index.

## create_one() [5/6]

std::string mongocxx::v_noabi::search_index_view::create_one | ( | v_noabi::client_session const & | session,
|  | v_noabi::search_index_model const & | model )

This is a convenience method for creating a single search index.

Parameters

  session | The mongocxx::v_noabi::client_session with which to perform the operation.
  model | The search index model to create.

Returns
  The name of the created index.

## create_one() [6/6]

std::string mongocxx::v_noabi::search_index_view::create_one | ( | v_noabi::search_index_model const & | model | ) |

This is a convenience method for creating a single search index.

Parameters

  model | The search index model to create.

Returns
  The name of the created index.

## drop_one() [1/2]

void mongocxx::v_noabi::search_index_view::drop_one | ( | bsoncxx::v_noabi::string::view_or_value | name | ) |

Drops a single search index from the collection by the index name.

Parameters

  name | The name of the search index to drop.

## drop_one() [2/2]

void mongocxx::v_noabi::search_index_view::drop_one | ( | v_noabi::client_session const & | session,
|  | bsoncxx::v_noabi::string::view_or_value | name )

Drops a single search index from the collection by the index name.

Parameters

  session | The mongocxx::v_noabi::client_session with which to perform the operation.
  name | The name of the search index to drop.

## list() [1/4]

v_noabi::cursor mongocxx::v_noabi::search_index_view::list | ( | bsoncxx::v_noabi::string::view_or_value | name,
|  | v_noabi::options::aggregate const & | options = {} )

Returns a cursor over all the search indexes.

Parameters

  name | The name of the search index to find.
  options | Options included in the aggregate operation.

Returns
  A cursor to the list of the search indexes returned.

## list() [2/4]

v_noabi::cursor mongocxx::v_noabi::search_index_view::list | ( | v_noabi::client_session const & | session,
|  | bsoncxx::v_noabi::string::view_or_value | name,
|  | v_noabi::options::aggregate const & | options = {} )

Returns a cursor over all the search indexes.

Parameters

  session | The mongocxx::v_noabi::client_session with which to perform the list operation.
  name | The name of the search index to find.
  options | Options included in the aggregate operation.

Returns
  A cursor to the list of the search indexes returned.

## list() [3/4]

v_noabi::cursor mongocxx::v_noabi::search_index_view::list | ( | v_noabi::client_session const & | session,
|  | v_noabi::options::aggregate const & | options = {} )

Returns a cursor over all the search indexes.

Parameters

  session | The mongocxx::v_noabi::client_session with which to perform the list operation.
  options | Options included in the aggregate operation.

Returns
  A cursor to the list of the search indexes returned.

## list() [4/4]

v_noabi::cursor mongocxx::v_noabi::search_index_view::list | ( | v_noabi::options::aggregate const & | options = {} | ) |

Returns a cursor over all the search indexes.

Parameters

  options | Options included in the aggregate operation.

Returns
  A cursor to the list of the search indexes returned.

## operator v1::search_indexes() [1/2]

mongocxx::v_noabi::search_index_view::operator v1::search_indexes | ( |  | ) | &&

inline explicit

Convert to the mongocxx::v1 equivalent.

Postconditions:
  - *this is in an assign-or-destroy-only state.

Warning
  Invalidates all associated objects.

## operator v1::search_indexes() [2/2]

mongocxx::v_noabi::search_index_view::operator v1::search_indexes | ( |  | ) | const &

inline explicit

Convert to the mongocxx::v1 equivalent.

## update_one() [1/2]

void mongocxx::v_noabi::search_index_view::update_one | ( | bsoncxx::v_noabi::string::view_or_value | name,
|  | bsoncxx::v_noabi::document::view_or_value | definition )

Updates a single search index from the collection by the search index name.

Parameters

  name | The name of the search index to update.
  definition | The definition to update the search index to.

## update_one() [2/2]

void mongocxx::v_noabi::search_index_view::update_one | ( | v_noabi::client_session const & | session,
|  | bsoncxx::v_noabi::string::view_or_value | name,
|  | bsoncxx::v_noabi::document::view_or_value | definition )

Updates a single search index from the collection by the search index name.

Parameters

  session | The mongocxx::v_noabi::client_session with which to perform the operation.
  name | The name of the search index to update.
  definition | The definition to update the search index to.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/search_index_view.hpp